Introduction:

UDG1000 CSV File Exporter
Introduction:

The UDG1000 CSV Export Driver is used to summarize data from UDC Input parameters and log data to a Comma Separated Values (CSV) file. For example, the 5 second data from the DO, pH, and Temperature Input Parameters can be exported as minutely averages, hourly maximums, etc…

Copyright 2012 Hach, All rights reserved.


Pre-requisites:

UDG1000 CSV File Exporter
Pre-requisites:

1. UDG1000 Software is installed on PC.

2. Disk space available to store CSV files

3. UDG1000 input parameters are setup and collecting data

Copyright 2012 Hach, All rights reserved.


Setup:

UDG1000 CSV File Exporter
Setup:

1. Add a new Exporter. From the UDG1000 Main Menu go to Output>Exporters and click Add.

2. Select “CSV Files” from the list. Click Add.

3. Enter a name for the Exporter. Click Save.

4. Configure the Exporter.

Option | Description
Output Path: | The path where the CSV files should be placed

5. Click Save.

6. From the UDG1000 Main Menu go to Output>Cross References

7. You will be prompted for:

Frequency and Statistic specify how often and what to calculate. The above example, will calculate the Hourly Average and label the data as the start time of each hour. Example:

The DO_LDO input parameter has a polling frequency of 5 seconds, therefore to calculate the hourly average for the 8AM hour (08:00:00 thru 8:59:59) we will take all 5 second readings in that time frame, calculate the average and export that number as:

Cross Reference Id, Cross Reference Name, Time Stamp, Double Value, Integer Value, String Value,
31928839-c67d-4d2a-beca-d98013f2fe68, DO_LDO (000903410891) (Hourly - Average), 1/29/2013 8:00:00 AM, 8.6, , ,

8. You can add an Input Parameter multiple times to an export an order to get different statistics and frequencies into the export. Example below shows an export that Exports the hourly average for pH, daily max for pH, hourly average for Temperature, and the hourly Min, Max, and Average for DO.

Once the Export is setup, data will be written as it’s time range is complete. In the example setup above, UDC will calculate the statistics for the Hourly’s after each hour is complete and will write the data at that time. When the day (as defined in the output XFER) is complete the stat will be calculated and written to the file.

The CSV Export will create one file a day and will create a new file at midnight.

Copyright 2012 Hach, All rights reserved.


CSV File Format

UDG1000 CSV File Exporter
CSV File Format

The CSV file exported are named UDG1000_yyyymmdd.csv. Any data exported in the day is exported to that filename. Therefore, the date does NOT imply it contains data for that day, only that the data was exported on that day.

Each export has the following fields:

Cross Reference Id – A GUID (globally unique identifier) for the output cross reference. The GUID is assigned by UDG when the Output Cross Reference is created and cannot be changed. NOTE: If importing this data into another system, it is suggested that you use the GUID to link instead of the Cross Reference Name as that can be changed by the user.

Cross Reference Name – The UDG Output Cross Reference Name, e.g. pH_pHD sc (000904430029) (Minutely - Average)

Time Stamp – The date time in local time or UTC (GMT) as specified on the Output>More Settings Timestamp Preference.

The value is exported in one of three fields depending on the Input Parameter type (that the output cross reference uses) and the Statistic.

Double Value – Used when the input parameter data type is double or the statistic uses more than one value to calculate the result (e.g. average).

Integer Value - Used when the input parameter data type is Integer and the statistic is not average. Also, the statistic TimeGT (Time Greater than) always returns an Integer Value.

String Value - Used when the input parameter data type is String.

Copyright 2012 Hach, All rights reserved.